/**
 * Filename: pichw.c
 * Purpose:  Provides a simple example program for the Microchip PICDEM 2 Plus
 *           Development Board (rev. 2006, green RoHS), with 4MHz crystal.
 *           that uses the UART, ADC, UART and LEDs for
 *           ECE433/533 Embedded Systems, Spring 2009, Boise State University
 * Author:   Josh Kiepert
 * Date:     2-04-09
 */
#include <p18f4520.h>
#include <stdio.h>
#include <delays.h>
#include <math.h>
#include "picdem2lcd.h"

//PIC Configuration Bits
#pragma config OSC = HS     //Use external oscillator
#pragma config WDT = OFF    //Turn off watchdog timer
#pragma config LVP = OFF    //Turn off low voltage program
#pragma config DEBUG = OFF  //Turn off debug mode

//Function Prototypes
void initLCD(void);


//Main program
void main (void){	
//	int adc = 0;    //Value from ADC
//	int blocks = 0; //Number of blocks to be drawn on LCD gauge
//	int i = 0;      //Loop counter
//	int ledctr = 0; //Counter for LEDs
	char buff[17];  //Buffer for line 1 of LCD
	char gauge[17]; //Buffer for line 2 (gauge) on LCD
//	char flbuf[10]; //Buffer to hold string representation of float
//	unsigned char gaugeChar = 0x1E;  //0xFF (red rev. 2002)
//	int lastADC = 0;
	
	//Initialize the hardware
	TRISB = 0x00;   //Set port B as output
	PORTB = 0x00;   //Initialize LEDs off
	
	initLCD();
	
	//Write a welcome message to UART
//	printf((const far rom char*)"ECE433/533 MICROCHIP PIC18F4620 PICDEM2 Plus Example \r\n");
	
	//Write a welcom message to LCD
	putrsLCD((const far rom char*)"  LCD TEST ");
	setlineLCD(2);
	putrsLCD((const far rom char*)" P6 PROJECT  ");
while(1);	

}

//Initializes the LCD
void initLCD(void){
	printf((const far rom char*)"Initializing LCD...");
	TRISD = 0x00;       //Set port D as outputs initially for LCD
	PORTDbits.RD7 = 1;  //Power On LCD
	OpenXLCD(FOUR_BIT & LINES_5X7);
	while(BusyXLCD());
	WriteCmdXLCD(DON & CURSOR_OFF & BLINK_OFF);
	printf((const far rom char*)"done.\r\n");
}



